import http from './http'
//能源消耗-获取
export const postEnergyManage = params => {
    return http.post(`/api/energy/getData`, params).then(res => res).catch(function (error) {
        console.log(error);
    })
}
// 能源消耗-删除
// export const postEnergyDel = EnergyId => {
//   return http.post(`/api/energy/Delete`,{params:{EnergyId}}).then(res => res).catch(function (error) {
//       console.log(error);
//   })
// }
export const postEnergyDel = params => {
  return http.post(`/api/energy/Delete`, params).then(res => res).catch(function (error) {
    console.log(error);
  })
}

// 能源消耗-修改
export const postEnergyUpdate = params => {
  return http.post(`/api/energy/Save`, params).then(res => res).catch(function (error) {
    console.log(error);
  })
}


// 瞬时热量-获取列表
export const postInstantHeat = params => {
    return http.post(`api/Scheduling/BizInstantaneousHeat/Get`).then(res => res).catch(function (error) {
        console.log(error);
    })
}

// 瞬时热量-新增修改
export const postInstantHeatUpdate = params => {
    return http.post(`api/Scheduling/BizInstantaneousHeat/Update`, params).then(res => res).catch(function (error) {
        console.log(error);
    })
}

// 参数设置
export const postConfigBoilerUpdate = params => {
    return http.post(`api/configboiler/Save`, params).then(res => res).catch(function (error) {
        console.log(error);
    })
}


export const postSecAbsTUc = params => {
    return http.post(`/api/analysis/external/SecAbsTUc`, params).then(res => res).catch(function (error) {
        console.log(error);
    })
}

export const postEnergyManageSave = params => {
    return http.post(`/api/energy/Save`, params).then(res => res).catch(function (error) {
        console.log(error);
    })
}


export const getWeatherMagData = () => { // 获取气象干预数据
    return http.get(`/api/cusweather/getData`)
}

export const alterWeatherMagData = params => { // 添加或修改气象干预数据/重新绑定换热站
    return http.post(`/api/cusweather/SaveAll`, params)
}

export const getTransfer = param => { // 获取换热站列表
    return http.post(`/api/cusweather/getTransferIds?id=${param}`, param)
}

export const getAnnualParam = () => { // 获取年度参数列表
    return http.post('/api/Scheduling/BizHeatSet/Get')
}

export const alterAnnualParam = params => {  // 修改年度参数
  return http.post('/api/Scheduling/BizHeatSet/Update', params)
}

export const addAnnualParam = params => {  // 新增年度参数
    return http.post('/api/Scheduling/BizHeatSet/Add', params)
}

export const deleteAnnualParam = params => {  // 删除年度参数
    // console.log("地址：",`/api/Scheduling/BizHeatSet/Delete?Id=${params}`)
    return http.post(`/api/Scheduling/BizHeatSet/Delete?Id=${params}`)
}

export const getPhenomenon = () => { // 获取数据列表————天气工况
    return http.post('/api/Scheduling/WeatherCondition/Get')
}

export const addPhenomenon = params => {  // 新增数据————天气工况
    return http.post('/api/Scheduling/WeatherCondition/Add', params)
}
export const alterPhenomenon = params => {  // 修改数据————天气工况
  return http.post('/api/Scheduling/WeatherCondition/Update', params)
}

export const deletePhenomenon = params => {  // 删除数据————天气工况
    return http.post(`/api/Scheduling/WeatherCondition/Delete?Id=${params}`)
}

export const getWind = () => { // 获取数据列表————风力配置
    return http.post('/api/Scheduling/WindConfiguration/Get')
}

export const addWind = params => {  // 新增数据————风力配置
    return http.post('/api/Scheduling/WindConfiguration/Add', params)
}

export const alterWind = params => {  // 修改数据————风力配置
    return http.post('/api/Scheduling/WindConfiguration/Update',params)
}

export const deleteWind = params => {  // 删除数据————风力配置
    return http.post(`/api/Scheduling/WindConfiguration/Delete?Id=${params}`)
}
